﻿using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Infrastructure.DBContext;
using MTWorkHR.Core.IRepositories;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class ConnectionRepository : Repository<Connection>, IConnectionRepository
    {
        private readonly DbSet<Connection> dbSet;

        public ConnectionRepository(HRDataContext context) : base(context)
        {
            dbSet = context.Set<Connection>();
        }
        
       
    }
}
